com.amazon.redshift.util

## Class MD5Digest

- java.lang.Object
- - com.amazon.redshift.util.MD5Digest

    public class MD5Digest
    extends Object

MD5-based utility function to obfuscate passwords before network transmission.

Author:
  Jeremy Wohl

### Method Summary

All Methods Static Methods Concrete Methods
`static byte[]` `encode(byte[] user, byte[] password, byte[] salt)` Encodes user/password/salt information in the following way: MD5(MD5(password + user) + salt).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### encode

    public static byte[] encode(byte[] user,
                                byte[] password,
                                byte[] salt)

Encodes user/password/salt information in the following way: MD5(MD5(password + user) + salt).

Parameters:
  `user` - The connecting user.
  `password` - The connecting user's password.
  `salt` - A four-salt sent by the server.
Returns:
  A 35-byte array, comprising the string "md5" and an MD5 digest.